#
# rpmbuild -vv -ba --target=noarch SPECS/7x14utf.spec
#
Summary: 7x14 bitmap font rebuilt having glyphs imported from 7x13
Name: fonts-7x14utf
Version: 1.2
Release: 2%{?dist}%{?buildid}
License: X11
Group: User Interface/X
ExclusiveArch: noarch
#Source0: http://ftp.x.org/pub/individual/font/font-misc-misc-1.1.2.tar.gz
Source1: merge14.pl
Source2: 7x14.bdf
Source3: 7x13.bdf
Source4: 7x14B.bdf

Prereq: /usr/bin/mkfontdir /bin/sed
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: xorg-x11-font-utils perl

%define miscfontsdir /usr/share/X11/fonts/misc

%description
7x14 and 7x14B font rebuilt with lacking glyphs imported from 7x13.

%prep
%setup -c -T

%build
perl %{SOURCE1} %{SOURCE2} %{SOURCE3} > ./7x14utf.bdf
perl %{SOURCE1} %{SOURCE4} -b ./7x14utf.bdf > 7x14utfB.bdf
bdftopcf ./7x14utf.bdf  | gzip -c > 7x14utf.pcf.gz
bdftopcf ./7x14utfB.bdf | gzip -c > 7x14utfB.pcf.gz

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{miscfontsdir}
install -m 755 ./7x14utf.pcf.gz  %{buildroot}/%{miscfontsdir}
install -m 755 ./7x14utfB.pcf.gz %{buildroot}/%{miscfontsdir}

%clean
rm -rf %{buildroot}


%post
# The font names
# -Misc-Fixed-Medium-R-Normal--14-130-75-75-C-70-ISO10646-1
# -Misc-Fixed-Bold-R-Normal--14-130-75-75-C-70-ISO10646-1
# is intentionally same as the default 7x14,7x14B
# to support xterm auto font selection.
# We should move out the default 7x14,7x14B fonts packaged in
# xorg-x11-fonts-base package.
# mkfontdir does not ignore any files by filename,
# so move these files into Attic/ to prevent them in fonts.dir.
# Very rude.
#
# Things are done in % triggerin script. Use "rpm -q --triggerscripts"
true;

%triggerin -- xorg-x11-fonts-base
# triggerin is also triggered on our install, so do it here
#
# we need to do same thing when xorg-x11-fonts-base package
# is upgraded
cat << 'EOF' >> %{miscfontsdir}/fonts.alias
7x14utf	-misc-fixed-medium-r-normal--14-130-75-75-c-70-iso10646-1
7x14utfB	-misc-fixed-bold-r-normal--14-130-75-75-c-70-iso10646-1
EOF
test -d %{miscfontsdir}/Attic || mkdir %{miscfontsdir}/Attic
test -f %{miscfontsdir}/7x14.pcf.gz  && mv %{miscfontsdir}/7x14.pcf.gz %{miscfontsdir}/Attic
test -f %{miscfontsdir}/7x14B.pcf.gz && mv %{miscfontsdir}/7x14B.pcf.gz %{miscfontsdir}/Attic
mkfontdir %{miscfontsdir}
fc-cache %{miscfontsdir}
service xfs reload
#test -n "$DISPLAY" && xset fp rehash

%postun
if [ "$1" = 0 ]; then
sed -i '/^7x14utf	/d; /^7x14utfB	/d' %{miscfontsdir}/fonts.alias
test -f %{miscfontsdir}/Attic/7x14.pcf.gz  && mv %{miscfontsdir}/Attic/7x14.pcf.gz %{miscfontsdir}
test -f %{miscfontsdir}/Attic/7x14B.pcf.gz && mv %{miscfontsdir}/Attic/7x14B.pcf.gz %{miscfontsdir}
rmdir %{miscfontsdir}/Attic
mkfontdir %{miscfontsdir}
fc-cache %{miscfontsdir}
service xfs reload
fi
#test -n "$DISPLAY" && xset fp rehash

%files
%defattr(-,root,root)
%{miscfontsdir}/7x14utf.pcf.gz
%{miscfontsdir}/7x14utfB.pcf.gz

%changelog
* Thu Nov 28 2013 Taketo Kabe <kabe@sra-tohoku.co.jp> - 1.2
- invoke fc-cache to update /var/cache/fontconfig/ properly
* Fri Mar 11 2013 Taketo Kabe <kabe@sra-tohoku.co.jp> - 1.1
- add trigger scriptlet
* Fri Mar 11 2013 Taketo Kabe <kabe@sra-tohoku.co.jp> - 1.0
- packaged.

